Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class PaymentTransaction_CreditCard_CRUD

    java.lang.Object
      com.beasys.commerce.ebusiness.payment.PaymentTransaction_CreditCard_CRUD

public class PaymentTransaction_CreditCard_CRUD
extends Object

CRUD for Aggregate Mapping

Constructor Summary
`PaymentTransaction_CreditCard_CRUD()`

Method Summary
`static void` | `refresh(Connection connection, Object containerKey, Object container)` Refresh Aggregate o refresh an instance of the target class and associate him with the container class
`static void` | `update(Connection connection, Object containerKey, Object container)` To update an aggregate, get the instance from the container and update him into the database

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaymentTransaction_CreditCard_CRUD

    public PaymentTransaction_CreditCard_CRUD()

Method Detail

### update

    public static void update(Connection connection,
                              Object containerKey,
                              Object container)
                       throws BMPException

  To update an aggregate, get the instance from the container and update him into the database

  Parameters:
    `connection` - the database connection
  Throws:
    `BMPException`

### refresh

    public static void refresh(Connection connection,
                               Object containerKey,
                               Object container)
                        throws BMPException

  Refresh Aggregate o refresh an instance of the target class and associate him with the container class

  Parameters:
    `connection` - the database connection
  Throws:
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved